Loading...
Searching...
No Matches
spectrum.h File Reference
`#include <BALL/NMR/peakList.h>`
`#include <BALL/DATATYPE/regularData1D.h>`
`#include <BALL/DATATYPE/regularData2D.h>`
`#include <BALL/DATATYPE/regularData3D.h>`
`#include <BALL/NMR/spectrum.iC>`

Go to the source code of this file.

## Classes

class | BALL::Spectrum< DataT, PeakT, PositionT >

## Namespaces

namespace | BALL

## Typedefs

typedef Spectrum< RegularData1D, Peak1D > | BALL::Spectrum1D
| One-dimensional spectrum.
typedef Spectrum< RegularData2D, Peak2D > | BALL::Spectrum2D
| Two-dimensional spectrum.
typedef Spectrum< RegularData3D, Peak3D > | BALL::Spectrum3D
| Three-dimensional spectrum.

## Functions

template<typename DataT, typename PeakT, typename PositionT>
double | BALL::operator- (const Spectrum< DataT, PeakT, PositionT > &s1, const Spectrum< DataT, PeakT, PositionT > &s2)
template<typename DataT, typename PeakT, typename PositionT>
std::ostream & | BALL::operator<< (std::ostream &os, const Spectrum< DataT, PeakT, PositionT > &spectrum)
template<typename DataT, typename PeakT, typename PositionT>
std::istream & | BALL::operator>> (std::istream &is, Spectrum< DataT, PeakT, PositionT > &spectrum)